Bug 16543 - Make edit and delete links styled buttons in patron attribute types administration
Summary: Make edit and delete links styled buttons in patron attribute types administr...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/patron-attr-types.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-18 13:26 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16543 - Make edit and delete links styled buttons in patron attribute types administration (1.80 KB, patch)
2016-05-25 14:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16543 - Make edit and delete links styled buttons in patron attribute types administration (1.81 KB, patch)
2016-05-27 11:58 UTC, Jan Kissig
Details | Diff | Splinter Review
Bug 16543 - Make edit and delete links styled buttons in patron attribute types administration (1.88 KB, patch)
2016-06-12 11:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-18 13:26:58 UTC
In Administration -> Patron attribute types, the edit and delete buttons should be made into Bootstrap-styled buttons with Font Awesome icons.
Comment 1 Owen Leonard 2016-05-25 14:52:25 UTC Comment hidden (obsolete)
Comment 2 Jan Kissig 2016-05-27 11:58:32 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-12 11:17:11 UTC
Created attachment 52281 [details] [review]
Bug 16543 - Make edit and delete links styled buttons in patron attribute types administration

This patch modifies the Patron attribute types page, converting edit and
delete links to Bootstrap buttons with Font Awesome icons.

To test, apply the patch and go to Administration -> Patron attribute
types. The 'Edit' and 'Delete' buttons should look correct and work
correctly.

Signed-off-by: Jan Kissig <jkissig@th-wildau.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-17 15:44:25 UTC
Pushed to master for Koha 16.11, thanks Owen!
Comment 5 Julian Maurice 2016-07-01 07:41:36 UTC
Patches pushed to 3.22.x, will be in 3.22.9